Introducing TexMex ...

Texmex® is an MDI application that allows you to Create and Manage your Quake® Texture wad .

New textures can be loaded or pasted from the clipboard. Enabling you to create your textures in any Image editor and easily Transfer it to Texmex®. Any image that is pasted or loaded into Texmex has its palette automatically remapped to match the Quake palette.

Texmex has support for the most common graphic file formats including PCX, BMP, JPG and TGA, as well as the Quake2 and Daiktana WAL files, Half-Life® Wad3 files, SiN SWL files and Lithtech DTX files.


What is a WAD ?

Wad files are used to hold a group of textures that can be incorporated into a Quake level.

They can also hold a palette, Console pictures and Status pictures although these are not useable (as far as I am aware) in Quake levels.

There are a number of versions of the WAD format. Tex-Mex supports the WAD2 and WAD3 formats. WAD2 is used for building Quake levels. The WAD3 format is used by Half-Life.

Tex-Mex supports Loading of WAD2 and WAD3 formats, but can only save to the WAD2 format.


Using Texmex

Texmex is is designed to be as easy as possible to use for beginers but underneath that is hidden power. Many shortcuts exist to make your life easier when creating or modifying Wads.

This section contains all the shortcuts and a brief description of what each one does, and how to use it. It is split into two groups which cover the main Wad view and the Detail view.

  • The Wad View
  • The Detail View

If you think Texmex should do something, then experiment with it. It can probably do it already !


The Wad View

This is where most of your basic Wad management is carried out. Here you can create new Wads, drag & drop textures between Wads, and create new textures. You can also Batch Import & Export textures and Add/Remove custom palettes.

Item Names

Texmex does its upmost to stop duplicate item names from appearing in Wads. If an item is added to a wad that already contains an item of the same name, then you are prompted to rename the new item. Whenever a Wad is loaded it also cleans up all item names to meet the proper Wad file format standards.

Sorting & Searching

Need to find a texture fast ? Use sort (on the context menu) to sort the wad alphabetically, then start typing the name of the texture you want. Texmex will skip to texture while you type, narrowing the search as you type in more of the name.

Cut, Copy & Paste

You can cut&paste wad items between wads (or drag and drop if you prefer), but you can also copy&paste images into an item from here as well. Use the context menu and select 'Paste as image'.

Palettes

Texmex fully supports the use of custom palettes in wads. If a wad containing a palette is loaded then Texmex uses that palette to display all the items in the Wad and carry out all Import/Export and Conversions on that wad. At any time a Palette can be added or deleted from a wad, with auto conversion of all items to the new palette.

If you want to create a new Wad that requires a custom palette, then always make sure that the palette is the first item you add to the wad. You can load a palette from the Wad view context menu. A wad can only contain one palette at a time and defaults to using the Quake palette if no palette item is present.

Options

Check under view->preferences for some ways to configure the wad view to your liking. An example of this is changing the background and foreground colors used for the view.

Keyboard Shortcuts

+ | Increase Item Size
- | Decrease Item Size
Ctrl + C | Copy Item
Ctrl+Shift + C | Copy Item Image
Ctrl + V | Paste Item
Ctrl+Shift + V | Past Image as Item
Ctrl + F | Flip Selection
Ctrl + R | Rename Item
Ctrl + M | Mirror Selection
Ctrl + N | New Texture


The Detail View

Introduction

The detail view allows you to preview a texture in greater detail, inclduing its mip-maps. You can also carry out some more image orientated tasks here, such as Flip, Mirror and Brighten/Darken. Individual image files can also be Imported and Exported here. The detail view can also be switched into a tiled mode, to give an idea of what the texture may look like in game.

All of these functions are available from the context menu by right clicking your mouse in the detail view or from the toolbar on the left of the Texmex screen.

Loading/Saving Images

From the detail its possible to load an supported image directly into the texture. If the image is a different size it can be used as a submip or the item can be resized automatically.

Cut&Paste

You can cut & paste images to and from your favorite graphic app, directly from texmex. All color conversions are handled automatically for you, so no more messing with palettes in PSP or Photoshop.

Keyboard Shortcuts

+ | Zoom In
- | Zoom Out
] | Increase Tiling
[ | Decrease Tiling
Ctrl + C | Copy Image
Ctrl + V | Paste Image
Ctrl + R | Rename Item
Ctrl + F | Flip Item
Ctrl + M | Mirror Item
Ctrl + B | Adjust Brightness